classification
Title: test_posix and lack of "id -G" support - less noise required?
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jcea Nosy List: BreamoreBoy, eric.araujo, illumino, jcea, python-dev, ronaldoussoren
Priority: normal Keywords:

Created on 2011-02-22 00:55 by illumino, last changed 2014-06-28 16:40 by python-dev. This issue is now closed.

Messages (6)
msg129021 - (view) Author: Peter Bray (illumino) Date: 2011-02-22 00:55
Solaris 10's id(1M) does not support the "-G" option, so we get the following:

% ./python -m test test_posix 
[1/1] test_posix
id: illegal option -- G
Usage: id [-ap] [user]
1 test OK.

The code already tests that id -G (std) output, and assumes that id -G is not supported if the output is empty. 

QUESTION: Does the user compiling the code need to see the stderr output of id? After all the test is correctly skipped.

Fix:
% diff ./Lib/test/test_posix.py.FCS ./Lib/test/test_posix.py
378c378
<         with os.popen('id -G') as idg:
---
>         with os.popen('id -G 2> /dev/null') as idg:

Consideration: Lib/platform.py has introduced DEV_NULL but it does not seem to be used in other code or tests (beside platform.py).

Regards,

Peter
msg129432 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-02-25 21:30
The correct spelling of that is os.devnull.  platform.DEV_NULL exists only for backwards compatibility (not sure platform.py still has standalone releases).  It is not documented and only used internally.  For a POSIX-only test like this one, hard-coding /dev/null is the simplest thing that works.

Thanks for the patch; our Mac experts will get to it.  Please generate unified diffs in the future.
msg129433 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-02-25 21:31
(Oops, this is for Solaris, not Mac.  I’m always confused about those funny OSes.)
msg221719 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-27 20:20
Can our Solaris gurus take this on please.
msg221792 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2014-06-28 14:12
I never saw this because I use GNU 'id' on my Solaris 10 machines. Taking care of this. Thanks for the report and the persistence :-)
msg221801 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-06-28 16:40
New changeset 4ef517041573 by Jesus Cea in branch '2.7':
Closes #11279: test_posix and lack of "id -G" support - less noise required? (Solaris)
http://hg.python.org/cpython/rev/4ef517041573

New changeset 6889fb276d87 by Jesus Cea in branch '3.4':
Closes #11279: test_posix and lack of "id -G" support - less noise required? (Solaris)
http://hg.python.org/cpython/rev/6889fb276d87

New changeset 54f94e753269 by Jesus Cea in branch 'default':
MERGE: Closes #11279: test_posix and lack of "id -G" support - less noise required? (Solaris)
http://hg.python.org/cpython/rev/54f94e753269
History
Date User Action Args
2014-06-28 16:40:11python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg221801

resolution: fixed
stage: resolved
2014-06-28 14:12:16jceasetassignee: jcea
messages: + msg221792
versions: + Python 2.7, Python 3.4, Python 3.5, - Python 3.2
2014-06-27 20:20:26BreamoreBoysetnosy: + BreamoreBoy
messages: + msg221719
2011-02-25 21:31:13eric.araujosetnosy: jcea, ronaldoussoren, eric.araujo, illumino
messages: + msg129433
2011-02-25 21:30:28eric.araujosetnosy: + eric.araujo
messages: + msg129432
2011-02-22 01:02:00pitrousetnosy: + jcea, ronaldoussoren
2011-02-22 00:55:44illuminocreate